MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024588Open CASCADE[OCCT] OCCT:Codingpublic2014-02-03 10:282014-05-05 13:37
Reporterabv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024588: Fix some ICC warning fixes
DescriptionSome of ICC warning fixes reported in 0024574 are fixed
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024574closedbugmaster ICC compiler warnings on Windows 

-  Notes
(0027725)
abv (manager)
2014-02-03 10:57

Fix pushed to CR24588, please review
(0027730)
kgv (developer)
2014-02-03 12:52

Patch has been reviewed with minor remark.
Please test.
(0027750)
mkv (tester)
2014-02-04 15:58

Dear BugMaster,

Branch CR24588 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 0b8ecbca991ba1c94273f22b98340241aeebde6a

Number of compiler warnings:

occt component :
Linux: 43 (44 on master)
Windows: 1 (1 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 371641100 / 372433444
Total CPU difference: 39960.79000000025 / 43920.350000000195

Testing on Windows:
Total MEMORY difference: 419175304 / 409848796
Total CPU difference: 35290.359375 / 35405.859375

There are not differences in images found by testdiff.

- Related Changesets
occt: master f1a5afa2
Timestamp: 2014-02-06 06:57:56
Author: abv
Committer: apn
Details ] Diff ]
0024588: Fix some ICC warning fixes

Some of ICC warning fixes reported in 0024574 are fixed
Remove redundant ifdef
mod - src/Draw/Draw_VariableCommands.cxx Diff ] File ]
mod - src/Draw/Draw_Viewer.cxx Diff ] File ]
mod - src/Draw/Draw_Viewer.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_Point.cxx Diff ] File ]
mod - src/OSD/OSD_signal_WNT.cxx Diff ] File ]
mod - src/Units/Units_Token.cxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/WNT/WNT_Window.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-03 10:28 abv New Issue
2014-02-03 10:28 abv Assigned To => kgv
2014-02-03 10:28 abv Relationship added child of 0024574
2014-02-03 10:57 abv Note Added: 0027725
2014-02-03 10:57 abv Status new => resolved
2014-02-03 12:52 kgv Note Added: 0027730
2014-02-03 12:52 kgv Assigned To kgv => bugmaster
2014-02-03 12:52 kgv Status resolved => reviewed
2014-02-03 14:48 mkv Assigned To bugmaster => mkv
2014-02-04 15:58 mkv Note Added: 0027750
2014-02-04 15:58 mkv Test case number => Not needed
2014-02-04 15:58 mkv Assigned To mkv => bugmaster
2014-02-04 15:58 mkv Status reviewed => tested
2014-02-10 12:41 apn Changeset attached => occt master f1a5afa2
2014-02-10 12:41 apn Assigned To bugmaster => apn
2014-02-10 12:41 apn Status tested => verified
2014-02-10 12:41 apn Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:37 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker